de.esprit.netsuite.server.auth

## Interface User

- All Superinterfaces:
    java.lang.Cloneable, java.lang.Comparable, Dumpable, Renderable, java.io.Serializable
  All Known Implementing Classes:
    AbstractDatabaseUser, AbstractUser, DatabaseUser, DefaultUser

      public interface User
      extends java.io.Serializable, Dumpable, java.lang.Cloneable, Renderable, java.lang.Comparable

  This interface defines what makes up a user of the EsprIT server
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CHANGED_TS`
    `static java.lang.String` | `COMMENT`
    `static java.lang.String` | `CREATED_TS`
    `static java.lang.String` | `EMAIL`
    `static java.lang.String` | `FORE_NAME`
    `static java.lang.String` | `GID`
    `static java.lang.String` | `IS_ADMIN`
    `static java.lang.String` | `IS_LOCKED`
    `static java.lang.String` | `LANGUAGE`
    `static java.lang.String` | `LAST_NAME`
    `static java.lang.String` | `LOGIN_NAME`
    `static java.lang.String` | `PASSWORD`
    `static java.lang.String` | `UID`
    `static java.lang.String` | `userDocType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.sql.Timestamp` | `getChangedTimestamp()`
    `java.lang.String` | `getComment()` Returns an optional comment for this user.
    `java.sql.Timestamp` | `getCreatedTimestamp()`
    `java.lang.String` | `getEmailAddress()` Returns the user's email address.
    `java.lang.String` | `getForeName()` Returns the user's forename.
    `int` | `getGID()` Specifies an optional group for the user.
    `Language` | `getLanguage()` Returns the `Language` of this user.
    `java.lang.String` | `getLastName()` Returns the user's lastname.
    `java.lang.String` | `getLoginName()` Returns the user's unique login name.
    `java.lang.String` | `getPassword()` Returns the users password as stored on server side.
    `int` | `getUID()` Returns a unique ID for this user.
    `UserId` | `getUserId()` Returns the UserId as a shortcut for the user identifying data
    `boolean` | `isAdmin()` The user is defined to be the admin user if the userType is 0
    `boolean` | `isLocked()` The user is allowed to log in.
    `void` | `setAdmin(boolean isAdmin)`
    `void` | `setChangedTimestamp(java.sql.Timestamp changedTs)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCreatedTimestamp(java.sql.Timestamp createdTs)`
    `void` | `setEmailAddress(java.lang.String email)`
    `void` | `setForeName(java.lang.String foreName)`
    `void` | `setGID(int groupId)` Specifies an optional group for the user.
    `void` | `setLanguage(Language language)`
    `void` | `setLastName(java.lang.String lastName)`
    `void` | `setLocked(boolean isActive)`
    `void` | `setLoginName(java.lang.String name)` Sets the user's unique login name.
    `void` | `setPassword(java.lang.String password)`
    `void` | `setUID(int uid)` Note that once set the UID will never change.

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.gui.Renderable

      `getRenderColor, getRenderIcon, getRenderText`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### userDocType

          static final java.lang.String userDocType

      See Also:
        Constant Field Values

    - #### UID

          static final java.lang.String UID

      See Also:
        Constant Field Values

    - #### GID

          static final java.lang.String GID

      See Also:
        Constant Field Values

    - #### LANGUAGE

          static final java.lang.String LANGUAGE

      See Also:
        Constant Field Values

    - #### LOGIN_NAME

          static final java.lang.String LOGIN_NAME

      See Also:
        Constant Field Values

    - #### FORE_NAME

          static final java.lang.String FORE_NAME

      See Also:
        Constant Field Values

    - #### LAST_NAME

          static final java.lang.String LAST_NAME

      See Also:
        Constant Field Values

    - #### EMAIL

          static final java.lang.String EMAIL

      See Also:
        Constant Field Values

    - #### IS_ADMIN

          static final java.lang.String IS_ADMIN

      See Also:
        Constant Field Values

    - #### IS_LOCKED

          static final java.lang.String IS_LOCKED

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final java.lang.String PASSWORD

      See Also:
        Constant Field Values

    - #### CREATED_TS

          static final java.lang.String CREATED_TS

      See Also:
        Constant Field Values

    - #### CHANGED_TS

          static final java.lang.String CHANGED_TS

      See Also:
        Constant Field Values

    - #### COMMENT

          static final java.lang.String COMMENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUID

          int getUID()

      Returns a unique ID for this user.

    - #### setUID

          void setUID(int uid)

      Note that once set the UID will never change. It must be settable anyway because it is typically determined by a database system and thus must be adaptable in the User Object.
      See Also:
        `getUID()`

    - #### getLoginName

          java.lang.String getLoginName()

      Returns the user's unique login name. This should be a short name with no white spaces and in lower case letters only.

    - #### setLoginName

          void setLoginName(java.lang.String name)

      Sets the user's unique login name. This should be a short name with no white spaces and in lower case letters only.

    - #### getForeName

          java.lang.String getForeName()

      Returns the user's forename.

    - #### setForeName

          void setForeName(java.lang.String foreName)

    - #### getLastName

          java.lang.String getLastName()

      Returns the user's lastname.

    - #### setLastName

          void setLastName(java.lang.String lastName)

    - #### getEmailAddress

          java.lang.String getEmailAddress()

      Returns the user's email address.

    - #### setEmailAddress

          void setEmailAddress(java.lang.String email)

    - #### getComment

          java.lang.String getComment()

      Returns an optional comment for this user.

    - #### setComment

          void setComment(java.lang.String comment)

    - #### getGID

          int getGID()

      Specifies an optional group for the user. The value 0 means 'unspecified'
      See Also:
        `Group`

    - #### setGID

          void setGID(int groupId)

      Specifies an optional group for the user. The value 0 means 'unspecified'
      See Also:
        `Group`

    - #### getPassword

          java.lang.String getPassword()

      Returns the users password as stored on server side. Note that in the implementation the password should be transient in order not to be transferred via the network.

    - #### setPassword

          void setPassword(java.lang.String password)

    - #### isAdmin

          boolean isAdmin()

      The user is defined to be the admin user if the userType is 0

    - #### setAdmin

          void setAdmin(boolean isAdmin)

    - #### isLocked

          boolean isLocked()

      The user is allowed to log in.

    - #### setLocked

          void setLocked(boolean isActive)

    - #### getChangedTimestamp

          java.sql.Timestamp getChangedTimestamp()

    - #### setChangedTimestamp

          void setChangedTimestamp(java.sql.Timestamp changedTs)

    - #### getCreatedTimestamp

          java.sql.Timestamp getCreatedTimestamp()

    - #### setCreatedTimestamp

          void setCreatedTimestamp(java.sql.Timestamp createdTs)

    - #### getUserId

          UserId getUserId()

      Returns the UserId as a shortcut for the user identifying data

    - #### clone

          java.lang.Object clone()

    - #### getLanguage

          Language getLanguage()

      Returns the `Language` of this user. This is the language used for the GUI after Login.

    - #### setLanguage

          void setLanguage(Language language)

Copyright © 2013 EsprIT-Systems. All Rights Reserved.